Class: Aws::RAM::Types::AssociateResourceShareResponse
- Inherits:
-
Struct
- Object
- Struct
- Aws::RAM::Types::AssociateResourceShareResponse
- Defined in:
- gems/aws-sdk-ram/lib/aws-sdk-ram/types.rb
Overview
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#client_token ⇒ String
The idempotency identifier associated with this request.
-
#resource_share_associations ⇒ Array<Types::ResourceShareAssociation>
An array of objects that contain information about the associations.
Instance Attribute Details
#client_token ⇒ String
The idempotency identifier associated with this request. If you want
to repeat the same operation in an idempotent manner then you must
include this value in the clientToken request parameter of that
later call. All other parameters must also have the same values that
you used in the first call.
302 303 304 305 306 307 |
# File 'gems/aws-sdk-ram/lib/aws-sdk-ram/types.rb', line 302 class AssociateResourceShareResponse < Struct.new( :resource_share_associations, :client_token) SENSITIVE = [] include Aws::Structure end |
#resource_share_associations ⇒ Array<Types::ResourceShareAssociation>
An array of objects that contain information about the associations.
302 303 304 305 306 307 |
# File 'gems/aws-sdk-ram/lib/aws-sdk-ram/types.rb', line 302 class AssociateResourceShareResponse < Struct.new( :resource_share_associations, :client_token) SENSITIVE = [] include Aws::Structure end |